summaryrefslogtreecommitdiff
path: root/recipes/images/files/colibri-vf/update.sh
diff options
context:
space:
mode:
authorMax Krummenacher <max.krummenacher@toradex.com>2016-07-03 12:42:19 +0200
committerDominik Sliwa <dominik.sliwa@toradex.com>2016-08-17 14:08:04 +0200
commit2817e8b5f44d37bdc0101693d647d3ed7779e3ef (patch)
tree6f85414bb362d41d0b019edff329296c2b2c94d3 /recipes/images/files/colibri-vf/update.sh
parentec0562c7099148d1502cb4f58858f188f9601f48 (diff)
update.sh: fix parameter to force module type
The script fails when -m is given but rootfs/etc/issue fails to provide the version info. While at it correct wrong text output on i.MX 6 based modules. Signed-off-by: Max Krummenacher <max.krummenacher@toradex.com> Acked-by: Dominik Sliwa <dominik.sliwa@toradex.com>
Diffstat (limited to 'recipes/images/files/colibri-vf/update.sh')
-rwxr-xr-xrecipes/images/files/colibri-vf/update.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/recipes/images/files/colibri-vf/update.sh b/recipes/images/files/colibri-vf/update.sh
index bf6dd5b..2c04342 100755
--- a/recipes/images/files/colibri-vf/update.sh
+++ b/recipes/images/files/colibri-vf/update.sh
@@ -202,7 +202,7 @@ sudo touch ${BINARIES}/versions.txt
sudo chmod ugo+w ${BINARIES}/versions.txt
echo "Component Versions" > ${BINARIES}/versions.txt
basename "`readlink -e ${BINARIES}/u-boot.imx`" >> ${BINARIES}/versions.txt
-ROOTFSVERSION=`grep VF rootfs/etc/issue`
+ROOTFSVERSION=`grep VF rootfs/etc/issue || echo "Version Unknown"`
echo "Rootfs ${ROOTFSVERSION}" >> ${BINARIES}/versions.txt
#create subdirectory for this module type